Create columnDefinition
Namespace: microsoft.graph
Important
APIs under the /beta version in Microsoft Graph are subject to change. Use of these APIs in production applications is not supported. To determine whether an API is available in v1.0, use the Version selector.
Create a column for a list with a request that specifies a columnDefinition.
Permissions
One of the following permissions is required to call this API. To learn more, including how to choose permissions, see Permissions.
| Permission type | Permissions (from least to most privileged) |
|---|---|
| Delegated (work or school account) | Sites.Manage.All, Sites.FullControl.All |
| Delegated (personal Microsoft account) | Not supported. |
| Application | Sites.Manage.All, Sites.FullControl.All |
HTTP request
POST /sites/{site-id}/lists/{list-id}/columns
Request body
In the request body, supply a JSON representation of the columnDefinition resource to add.
Response
If successful, this method returns a 201 Created response code and a columnDefinition object in the response body.
Example
Request
POST https://graph.microsoft.com/beta/sites/{site-id}/lists/{list-id}/columns
Content-Type: application/json
{
"description": "test",
"enforceUniqueValues": false,
"hidden": false,
"indexed": false,
"name": "Title",
"text": {
"allowMultipleLines": false,
"appendChangesToExistingText": false,
"linesForEditing": 0,
"maxLength": 255
}
}
Response
HTTP/1.1 201 Created
Content-type: application/json
{
"description": "test",
"displayName": "Title",
"enforceUniqueValues": false,
"hidden": false,
"id": "99ddcf45-e2f7-4f17-82b0-6fba34445103",
"indexed": false,
"name": "Title",
"text": {
"allowMultipleLines": false,
"appendChangesToExistingText": false,
"linesForEditing": 0,
"maxLength": 255
}
}
Feedback
Submit and view feedback for